---
upload-sles15:
  stage: upload
  image:
    name: registry.gitlab.com/saltstack/open/cicd/containers/pkg-sles15:latest
  tags:
    - docker
  dependencies:
    - sign-sles15
  script:
    - if [ -n "$DEVELOPMENT_BODGER" ]; then pip3 install $DEVELOPMENT_BODGER; else curl -fsSL ${BODGER_BIN_URL:-https://repo.saltproject.io/bodger/singlebin/4.2-1/bodger-4.2-1-linux-amd64.tar.gz} |tar -zxvf - -C /usr/local/bin && chmod +x /usr/local/bin/bodger; fi
    - bodger upload
  rules:
    - if: "$CI_PROJECT_PATH == $CICD_UPSTREAM_PATH"

upload-tags-sles15:
  stage: upload
  image:
    name: registry.gitlab.com/saltstack/open/cicd/containers/pkg-sles15:latest
  tags:
    - docker
  dependencies:
    - sign-tags-sles15
  script:
    - if [ -n "$DEVELOPMENT_BODGER" ]; then pip3 install $DEVELOPMENT_BODGER; else curl -fsSL ${BODGER_BIN_URL:-https://repo.saltproject.io/bodger/singlebin/4.2-1/bodger-4.2-1-linux-amd64.tar.gz} |tar -zxvf - -C /usr/local/bin && chmod +x /usr/local/bin/bodger; fi
    - bodger upload-tags
  rules:
    - if: "$CI_COMMIT_TAG != null && $CI_PROJECT_PATH == $CICD_UPSTREAM_PATH"
